package com.bytedance.ies.bullet.service.base;

import X.2Pr;
import X.C3050L6j;
import X.C3114L8v;
import X.C3134L9p;
import X.C4949LsC;
import X.KVL;
import X.L7A;
import X.L7M;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.bullet.service.base.resourceloader.config.GeckoConfig;
import com.bytedance.ies.bullet.service.base.resourceloader.config.IXResourceLoader;
import java.util.Map;

public interface IResourceLoaderService extends KVL {
    static {
        Covode.recordClassIndex(28507);
    }

    void cancel(C3134L9p l9p);

    void deleteResource(L7A l7a);

    Map<String, String> getPreloadConfigs();

    C3050L6j getResourceConfig();

    void init(C3050L6j l6j);

    C3134L9p loadAsync(String str, L7M l7m, C4949LsC<? super L7A, 2Pr> lsC, C4949LsC<? super Throwable, 2Pr> lsC2);

    L7A loadSync(String str, L7M l7m);

    void registerConfig(String str, GeckoConfig geckoConfig);

    void registerCustomLoader(Class<? extends IXResourceLoader> cls, C3114L8v l8v);

    void unRegisterConfig(String str);

    void unregisterCustomLoader(Class<? extends IXResourceLoader> cls, C3114L8v l8v);
}
